/******************************************************************
** Copyright (C) 2001, University of Alabama in Huntsville. 
** All rights reserved.
**
** File   : CRelationDefinition.cpp
**
** Author : Yangsen Yao
**
** Description:
**    This file provides implementation for the CCGFactory
**    class.
**
** History:
**    26-Nov-2001 : Yangsen Yao
**        Created file.
******************************************************************/

#include "CGEngine/CCGFactory.h"

CKnowledgeBase* CCGFactory::NewKnowledgeBase()
{
	CKnowledgeBase* ptr = new CKnowledgeBase;
	return ptr;
}

	
CTypeHierarchy* CCGFactory::NewTypeHierarchy()
{
	CTypeHierarchy* ptr = new CTypeHierarchy;
	return ptr;
}
	
CTypeDefinition* CCGFactory::NewTypeDefinition (std::string name)
{

	CTypeDefinition* ptr = new 	CTypeDefinition(name);
	return ptr;
}

CRelationHierarchy* CCGFactory::NewRelationHierarchy()
{
	CRelationHierarchy* ptr = new CRelationHierarchy;
	return ptr;
}
	
CRelationDefinition* CCGFactory::NewRelationDefinition(std::string name)
{
	CRelationDefinition* ptr = new CRelationDefinition(name);
	return ptr;
}
	
CCatalogOfIndividuals* CCGFactory::NewCatalogOfIndividuals()
{
	CCatalogOfIndividuals* ptr = new CCatalogOfIndividuals;
	return ptr;
}
	
CSheetOfAssertion* CCGFactory::NewSheetOfAssertion()
{
	CSheetOfAssertion* ptr = new CSheetOfAssertion;
	return ptr;
}


CConcept* CCGFactory::NewConcept()
{
	CConcept* ptr = new CConcept;
	return ptr;
}
	
CRelation* CCGFactory:: NewRelation()
{
	CRelation* ptr = new CRelation;
	return ptr;
}
